ru.bitel.bgbilling.modules.bill.server.bean

## Class InvoiceDocumentDao

- java.lang.Object
- - ru.bitel.bgbilling.modules.bill.server.bean.AbstractBillDao
  - - ru.bitel.bgbilling.modules.bill.server.bean.InvoiceDocumentDao

-     public class InvoiceDocumentDao
      extends AbstractBillDao

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.modules.bill.server.bean.AbstractBillDao

      `con, moduleId, moduleSetup, setup, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvoiceDocumentDao(Setup setup, ParameterMap moduleSetup, java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <I> java.util.List<I>` | `getInvoiceDocumentList(java.sql.Connection con, int moduleId, java.lang.String table, int contractId, boolean onlyReady, Page page, java.util.function.Function<java.sql.ResultSet,I> converter)`
    `java.util.List<InvoiceDocument>` | `list(int contractId, boolean onlyReady, Page page)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvoiceDocumentDao

          public InvoiceDocumentDao(Setup setup,
                                    ParameterMap moduleSetup,
                                    java.sql.Connection con,
                                    int moduleId)

  - ### Method Detail

    - #### getInvoiceDocumentList

          public static <I> java.util.List<I> getInvoiceDocumentList(java.sql.Connection con,
                                                                     int moduleId,
                                                                     java.lang.String table,
                                                                     int contractId,
                                                                     boolean onlyReady,
                                                                     Page page,
                                                                     java.util.function.Function<java.sql.ResultSet,I> converter)
                                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<InvoiceDocument> list(int contractId,
                                                      boolean onlyReady,
                                                      Page page)
                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`